DMAKE(1)

NAME
dmake - parallel make from Distributed Make

SYNOPSIS
dmake [-c dmake-rcfile] [ -g dmake-group ] [ -j dmake-max-jobs ] [-m {serial | parallel} ] [-o dmake-odir] [-R]

DESCRIPTION
This man page supplements the man page for the Solaris make(1s) utility.

This version of dmake(1) implements a subset of the features of the dmake(1) program delivered with the Sun Studio compiler suite. It implements serial and parallel mode, but neither the distributed nor the grid mode.

OPTIONS

-c dmake-rcfile
    This version of dmake neither supports the default configuration file $(HOME)/.dmakerc nor an alternate location specified by the -c option.

-g dmake-group
    This version of dmake does not support to set a dmake group via the -g option.

-j dmake-max-jobs
    Specifies the maximum total number of jobs that are run in parallel.

-m {serial | parallel}
    Allows to specify one of the following key words:

    serial
        Causes dmake to behave like the standard serial version of make.

    parallel
        Causes dmake to run several jobs in parallel on the dmake host.

-o dmake-odir
    This version of dmake does not support to set a common physical directory via the -o option.

-R  Do not run in parallel mode.

USAGE

For the general usage, see the make(1s) man page for more information.

  Special-purpose Targets
dmake supports the special targets .PARALLEL, .NO_PARALLEL, .LOCAL, and .WAIT to control the way the targets are made.

.NO_PARALLEL:
    Add targets to the dependency list of this target to control which targets are to be processed serially.

.PARALLEL:
    Add targets to the dependency list of this target to control which targets are to be processed in parallel.

.LOCAL:
    Add targets to the dependency list of this target to control which targets are to be processed serially. This version of dmake does not support distributed builds.

.WAIT
    When this target is specified in a dependency list, dmake waits until the dependencies to the left of the .WAIT pseudo target are finished before starting to process targets to the right of .WAIT.

ENVIRONMENT/MACROS

DMAKE_ADJUST_MAX_JOBS
    This macro allows to control the parallel make behavior. The following values are possible:

    YES Allow dmake to control the number of jobs based on the current system load. If the load is high, the number of jobs will be reduced. If the load is low, the number of jobs specified by the user is used.

    NO  The number of jobs is not adjusted based on the load of the system.

    M2  The number of jobs is adjusted based on the total number of jobs run by the current group of running make programs. This is implemented via shared memory that is set up between recursively called make programs.

DMAKE_GROUP
    This version of dmake does not support to set a dmake group via the DMAKE_GROUP environment or macro.

DMAKE_MAX_JOBS
    Allows to set the maximum number of jobs in case that -j was not specified.

DMAKE_MODE
    May contain one of the following key words:

    serial
        Causes dmake to behave like the standard serial version of make.

    parallel
        Causes dmake to run several jobs in parallel on the dmake host.

DMAKE_ODIR
    This version of dmake does not support to set the dmake-odir via the DMAKE_ODIR environment or macro.

DMAKE_OUTPUT_MODE
    Controls the output format used by dmake. The following values are possible:

    TXT1
        The default behavior. Serialize stdout and stderr, and print a label before the output from a new job starts.

    TXT2
        Serialize stdout and stderr, but do not print the labels from TXT1 mode.

DMAKE_RCFILE
    This version of dmake neither supports the default configuration file $(HOME)/.dmakerc nor an alternate location specified by the DMAKE_RCFILE environment or macro.

FILES
See make(1s) for a list of files.

SEE ALSO
make(1s), attributes(5), largefile(5)